%global module appdirs

Name:           python-%{module}
Version:        1.4.4
Release:        %mkrel 1
Summary:        Python module for determining platform-specific directories
License:        MIT
Group:          Development/Python
URL:            https://github.com/ActiveState/%{module}
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A small Python module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

%package -n python3-%{module}
Summary:        Python 3 module for determining platform-specific directoriess

%description -n python3-%{module}
A small Python module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

%prep
%setup -qn %{module}-%{version}

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc LICENSE.txt README.rst CHANGES.rst
%{python3_sitelib}/*

%changelog
* Sun Mar 13 2022 TerryN <terryn94 at gmail.com>  1.4.4-1pclos2022
- update and rebuild for python 3.10

* Thu Apr 19 2018 marcin82 <fixxer1982 at gmail.com> 1.4.3-2pclos2018
- rebuild with python 3.6.5

* Fri Mar 30 2018 marcin82 <fixxer1982 at gmail.com> 1.4.3-1pclos2018
- Initial build for PCLinuxOS
